Ipelib: ipe::CanvasBase::Style Struct Reference

Ipelib

Public Attributes | List of all members
ipe::CanvasBase::Style Struct Reference

`#include <ipecanvas.h>`

## Public Attributes
Color | paperColor
Color | primarySelectionColor
Color | secondarySelectionColor
bool | pretty
bool | classicGrid
double | thinLine
double | thickLine
int | thinStep
int | thickStep
bool | paperClip
bool | numberPages

## Detailed Description

In pretty display, no dashed lines are drawn around text objects, and if Latex font data is not available, no text is drawn at all.

## Member Data Documentation

## ◆ paperColor

Color ipe::CanvasBase::Style::paperColor

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawPaper().

## ◆ primarySelectionColor

Color ipe::CanvasBase::Style::primarySelectionColor

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawTool().

## ◆ secondarySelectionColor

Color ipe::CanvasBase::Style::secondarySelectionColor

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawTool().

## ◆ pretty

bool ipe::CanvasBase::Style::pretty

Referenced by ipe::CanvasBase::CanvasBase(), ipe::CanvasBase::drawObjects(), and ipe::CanvasBase::refreshSurface().

## ◆ classicGrid

bool ipe::CanvasBase::Style::classicGrid

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawGrid().

## ◆ thinLine

double ipe::CanvasBase::Style::thinLine

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawGrid().

## ◆ thickLine

double ipe::CanvasBase::Style::thickLine

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawGrid().

## ◆ thinStep

int ipe::CanvasBase::Style::thinStep

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawGrid().

## ◆ thickStep

int ipe::CanvasBase::Style::thickStep

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawGrid().

## ◆ paperClip

bool ipe::CanvasBase::Style::paperClip

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawObjects().

## ◆ numberPages

bool ipe::CanvasBase::Style::numberPages

Referenced by ipe::CanvasBase::CanvasBase(), and ipe::CanvasBase::drawObjects().

The documentation for this struct was generated from the following file:

- ipecanvas.h